import { ElementRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { PdfAnnotateWrapper } from './js-wrapper/pdf-annotate-wrapper';
import { EmLoggerService } from '../logging/em-logger.service';
export declare class PdfService {
    private log;
    private pdfAnnotateWrapper;
    private pageNumber;
    private annotationWrapper;
    listPages: {
        page: number;
        rect: any;
    }[];
    constructor(log: EmLoggerService, pdfAnnotateWrapper: PdfAnnotateWrapper);
    preRun(): void;
    getAnnotationWrapper(): ElementRef;
    setAnnotationWrapper(annotationWrapper: ElementRef): void;
    getPageNumber(): BehaviorSubject<number>;
    setPageNumber(pageNumber: number): void;
    setHighlightTool(): void;
    setCursorTool(): void;
}
